lib32-flashplugin: arbitrary code execution

2015-07-16T00:00:00
ID ASA-201507-14
Type archlinux
Reporter Arch Linux
Modified 2015-07-16T00:00:00

Description

  • CVE-2015-5122 (arbitrary code execution)

Use-after-free vulnerability in the DisplayObject class in the ActionScript 3 (AS3) implementation allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via crafted Flash content that leverages improper handling of the opaqueBackground property.

  • CVE-2015-5123 (arbitrary code execution)

Use-after-free vulnerability in the BitmapData class in the ActionScript 3 (AS3) implementation allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via crafted Flash content that overrides a valueOf function.